下载次数统计
GET/api/v5/repos/:owner/:repo/download_statistics
Request
Path Parameters
owner stringrequired
仓库所属空间地址(企业、组织或个人的地址path)
repo stringrequired
仓库路径(path)
Query Parameters
access_token string
用户授权码
start_date string
统计起始日期包含当前日期(eg:2024-01-06)
end_date string
统计截止日期包含当前日期 (eg: 2024-12-06)
direction string
排序方 式: 升序(asc),降序(desc)。默认: desc
Responses
- 200
成功响应
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- ]
download_statistics_detail object[]
pdatestring
repo_idstring
today_dl_cntinteger
total_dl_cntinteger
download_statistics_totalinteger
download_statistics_history_totalinteger
{
"download_statistics_detail": [
{
"pdate": "string",
"repo_id": "string",
"today_dl_cnt": 0,
"total_dl_cnt": 0
}
],
"download_statistics_total": 0,
"download_statistics_history_total": 0
}
{
"download_statistics_detail": [
{
"pdate": "2024-11-13",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 38
},
{
"pdate": "2024-11-14",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 38
},
{
"pdate": "2024-11-15",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 38
},
{
"pdate": "2024-11-16",
"repo_id": "625513",
"today_dl_cnt": 5,
"total_dl_cnt": 43
},
{
"pdate": "2024-11-17",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 43
},
{
"pdate": "2024-11-18",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 43
},
{
"pdate": "2024-11-19",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 43
},
{
"pdate": "2024-11-20",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 43
},
{
"pdate": "2024-11-21",
"repo_id": "625513",
"today_dl_cnt": 2,
"total_dl_cnt": 45
},
{
"pdate": "2024-11-22",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 45
},
{
"pdate": "2024-11-23",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 45
},
{
"pdate": "2024-11-24",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 45
},
{
"pdate": "2024-11-25",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 45
},
{
"pdate": "2024-11-26",
"repo_id": "625513",
"today_dl_cnt": 0,
"total_dl_cnt": 45
}
],
"download_statistics_total": 7,
"download_statistics_history_total": 45
}